Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcnxt.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcnxt.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcnxt.F90	(revision 11872)
@@ -178,5 +178,5 @@
       IF( l_trdtrc ) DEALLOCATE( ztrdt ) 
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('nxt')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcrad.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcrad.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcrad.F90	(revision 11872)
@@ -65,5 +65,5 @@
       IF( ln_my_trc  )   CALL trc_rad_sms( kt, trb, trn, jp_myt0, jp_myt1               )  !  MY_TRC model
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN      ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rad')")
          CALL prt_ctl_trc_info( charout )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcsbc.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcsbc.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcsbc.F90	(revision 11872)
@@ -191,5 +191,5 @@
       ENDIF
       !
-      IF( ln_ctl .OR. sn_cfctl%l_mpptop )   THEN
+      IF( sn_cfctl%l_prttrc )   THEN
          WRITE(charout, FMT="('sbc ')") ;  CALL prt_ctl_trc_info(charout)
                                            CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trczdf.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trczdf.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trczdf.F90	(revision 11872)
@@ -65,5 +65,5 @@
       ENDIF
       !                                          ! print mean trends (used for debugging)
-      IF( ln_ctl .OR. sn_cfctl%l_mpptop )   THEN
+      IF( sn_cfctl%l_prttrc )   THEN
          WRITE(charout, FMT="('zdf ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/prtctl_trc.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/prtctl_trc.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/prtctl_trc.F90	(revision 11872)
@@ -35,5 +35,5 @@
    SUBROUTINE prt_ctl_trc( tab4d, mask, clinfo, ovlap, kdim, clinfo2 )
       !!----------------------------------------------------------------------
-      !!                     ***  ROUTINE prt_ctl  ***
+      !!                     ***  ROUTINE prt_ctl_trc  ***
       !!
       !! ** Purpose : - print sum control 3D arrays over the same area 
@@ -41,5 +41,5 @@
       !!                debugging a new parametrization in mono or mpp. 
       !!
-      !! ** Method  : 2 possibilities exist when setting the ln_ctl parameter to
+      !! ** Method  : 2 possibilities exist when setting the sn_cfctl%prttrc parameter to
       !!                .true. in the ocean namelist:
       !!              - to debug a MPI run .vs. a mono-processor one; 
@@ -54,6 +54,6 @@
       !!              - All arguments of the above calling sequence are optional so their
       !!                name must be explicitly typed if used. For instance if the mask
-      !!                array tmask(:,:,:) must be passed through the prt_ctl subroutine, 
-      !!                it must looks like: CALL prt_ctl( mask=tmask ).
+      !!                array tmask(:,:,:) must be passed through the prt_ctl_trc subroutine, 
+      !!                it must look like: CALL prt_ctl_trc( mask=tmask ).
       !!----------------------------------------------------------------------
       REAL(wp)         , DIMENSION(:,:,:,:), INTENT(in), OPTIONAL ::   tab4d     ! 4D array
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcini.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcini.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcini.F90	(revision 11872)
@@ -140,5 +140,5 @@
       ENDIF
       IF(lwp) WRITE(numout,*)
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN            ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN            ! print mean trends (used for debugging)
          CALL prt_ctl_trc_init
          WRITE(charout, FMT="('ini ')")
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcsms.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcsms.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcsms.F90	(revision 11872)
@@ -55,5 +55,5 @@
       IF( ln_my_trc  )   CALL trc_sms_my_trc ( kt )    ! MY_TRC  tracers
 
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN           ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN                       ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sms ')")
          CALL prt_ctl_trc_info( charout )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcstp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcstp.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcstp.F90	(revision 11872)
@@ -69,5 +69,5 @@
       ENDIF
       !
-      ll_trcstat  = ( ln_ctl .OR. sn_cfctl%l_trcstat ) .AND. &
+      ll_trcstat  = ( sn_cfctl%l_trcstat ) .AND. &
      &              ( ( MOD( kt, sn_cfctl%ptimincr ) == 0 ) .OR. ( kt == nitend ) )
       IF( kt == nittrc000 .AND. lk_trdmxl_trc )  CALL trd_mxl_trc_init    ! trends: Mixed-layer
@@ -89,5 +89,5 @@
       IF( MOD( kt , nn_dttrc ) == 0 ) THEN      ! only every nn_dttrc time step
          !
-         IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN
+         IF(sn_cfctl%l_prttrc) THEN
             WRITE(charout,FMT="('kt =', I4,'  d/m/y =',I2,I2,I4)") kt, nday, nmonth, nyear
             CALL prt_ctl_trc_info(charout)
